#ifndef PANG_O_LIN_IO_H__
#define PANG_O_LIN_IO_H__

#ifdef unix
#include <errno.h>
#include <fcntl.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <sys/types.h>
#include <unistd.h>
#endif

struct pang_io;

ssize_t pang_write(struct pang_io *io, off_t offset, const void *buf, size_t count);
ssize_t pang_read(struct pang_io *io, off_t offset, void *buf, size_t count);
struct pang_io *pang_open(const char *pathname);
int pang_close(struct pang_io **io);

#endif /* PANG_O_LIN_IO_H__ */